# Chat server

## Goals

- manage sessions
  - [x] login
  - [x] register
  - [x] logout
- edit users
  - [ ] status
  - [ ] bio
  - [ ] profile picture
- [x] provide user info
- manage rights and roles
  - [ ] edit roles
  - [ ] bind roles to users
- manage messages
  - [x] send
  - [x] alert
  - [x] query
- files
  - [ ] upload
  - [ ] serve

## Structure

- Valkey
  - sessions tokens
  - new messages
- Postgres
  - longterm message storage
  - user info
  - roles and rights
